libjson.so.0

If none of the more specific forums is the right place to ask

libjson.so.0

Postby pawRoot » 2018-03-08 02:30

Purchased this game https://www.gog.com/game/baldurs_gate_enhanced_edition, the game installed fine, but when running it, i receive this:

Code: Select all
➜  Baldurs Gate Enhanced Edition ./start.sh
Running Baldur's Gate Enhanced Edition
./BaldursGate: error while loading shared libraries: libjson.so.0: cannot open shared object file: No such file or directory


Is there a way to fix that without messing up my system ?
User avatar
pawRoot
 
Posts: 571
Joined: 2016-12-28 18:26
Location: Poland

Re: libjson.so.0

Postby Head_on_a_Stick » 2018-03-08 07:05

Does the game actually run?

I have a working Baldur's Gate II but I can't remember which system it's on...
dbruce wrote:Ubuntu forums try to be like a coffee shop in Seattle. Debian forums strive for the charm and ambience of a skinhead bar in Bacau. We intend to keep it that way.
User avatar
Head_on_a_Stick
 
Posts: 8315
Joined: 2014-06-01 17:46
Location: /dev/chair

Re: libjson.so.0

Postby dilberts_left_nut » 2018-03-08 07:17

AdrianTM wrote:There's no hacker in my grandma...
User avatar
dilberts_left_nut
 
Posts: 4911
Joined: 2009-10-05 07:54
Location: enzed

Re: libjson.so.0

Postby pawRoot » 2018-03-08 13:25

dilberts_left_nut wrote:http://forums.debian.net/viewtopic.php?f=10&t=118012
https://bbs.archlinux.org/viewtopic.php?id=187993


I found this topic already, but they say to for example install this but i can't find equivalent in Debian, also is it safe to make links to libraries like that ?

Head_on_a_Stick wrote:Does the game actually run?

I have a working Baldur's Gate II but I can't remember which system it's on...


No because libjson.so.0 is missing :mrgreen:
User avatar
pawRoot
 
Posts: 571
Joined: 2016-12-28 18:26
Location: Poland

Re: libjson.so.0

Postby stevepusser » 2018-03-08 18:21

Are you running 64-bit Debian? Many games are 32-bit only, in which case they will be looking for 32-bit libraries. On 64-bit, you must add the i386 multiarch support and install the :i386 version of the library (s)...however, "dpkg -S" can't find any packages containing that libjson file, so it looks like the symlink is going to be the solution.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Flightgear 2018.2.2, tlp-ui, wine-staging 3.21, Pale Moon 28.2.2, Mesa 18.2.6, Midori 7.0
User avatar
stevepusser
 
Posts: 10243
Joined: 2009-10-06 05:53

Re: libjson.so.0

Postby pawRoot » 2018-03-08 19:29

stevepusser wrote:Are you running 64-bit Debian? Many games are 32-bit only, in which case they will be looking for 32-bit libraries. On 64-bit, you must add the i386 multiarch support and install the :i386 version of the library (s)...however, "dpkg -S" can't find any packages containing that libjson file, so it looks like the symlink is going to be the solution.


Yes i am on 64bit.
User avatar
pawRoot
 
Posts: 571
Joined: 2016-12-28 18:26
Location: Poland

Re: libjson.so.0

Postby pawRoot » 2018-03-08 19:32

Btw i have GOG key for Baldurs Gate normal edition, so if someone would like to play it let me know.
User avatar
pawRoot
 
Posts: 571
Joined: 2016-12-28 18:26
Location: Poland


Return to General Questions

Who is online

Users browsing this forum: mrkapqa and 6 guests

fashionable